apiVersion: apps/v1
kind: Deployment
metadata:
  name: eci-worker
spec:
  selector:
    matchLabels:
      app: eci-worker
      tier: backend
  replicas: 1
  template:
    metadata:
      annotations:
        timestamp: {{ now | quote }}
      labels:
        app: eci-worker
        tier: backend
    spec:
      containers:
      - name: eci-worker
        imagePullPolicy: Always
        image: "{{ .Values.containerName }}:{{ .Values.containerVersion }}"
        env:
          - name: APM_ENV
            value: {{ .Values.environment | quote }} 
          - name: DATABASE_URL
            value: {{ .Values.databaseUrl | quote }}   
        resources:
          requests:
            cpu: 80m
            memory: 180Mi
          limits:
            cpu: 100m
            memory: 250Mi